org.apache.hc.client5.http.cookie

## Interface SetCookie

- All Superinterfaces:
    Cookie
  All Known Implementing Classes:
    BasicClientCookie

      public interface SetCookie
      extends Cookie

  This interface represents a `Set-Cookie` response header sent by the origin server to the HTTP agent in order to maintain a conversational state.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.hc.client5.http.cookie.Cookie

      `DOMAIN_ATTR, EXPIRES_ATTR, MAX_AGE_ATTR, PATH_ATTR, SECURE_ATTR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDomain(String domain)` Sets the domain attribute.
    `void` | `setExpiryDate(Date expiryDate)` Sets expiration date.
    `void` | `setPath(String path)` Sets the path attribute.
    `void` | `setSecure(boolean secure)` Sets the secure attribute of the cookie.
    `void` | `setValue(String value)`

    - ### Methods inherited from interface org.apache.hc.client5.http.cookie.Cookie

      `containsAttribute, getAttribute, getCreationDate, getDomain, getExpiryDate, getName, getPath, getValue, isExpired, isPersistent, isSecure`

- - ### Method Detail

    - #### setValue

          void setValue(String value)

    - #### setExpiryDate

          void setExpiryDate(Date expiryDate)

      Sets expiration date.

      Note: the object returned by this method is considered immutable. Changing it (e.g. using setTime()) could result in undefined behaviour. Do so at your peril.

      Parameters:
        `expiryDate` - the `Date` after which this cookie is no longer valid.
      See Also:
        `Cookie.getExpiryDate()`

    - #### setDomain

          void setDomain(String domain)

      Sets the domain attribute.
      Parameters:
        `domain` - The value of the domain attribute
      See Also:
        `Cookie.getDomain()`

    - #### setPath

          void setPath(String path)

      Sets the path attribute.
      Parameters:
        `path` - The value of the path attribute
      See Also:
        `Cookie.getPath()`

    - #### setSecure

          void setSecure(boolean secure)

      Sets the secure attribute of the cookie.

      When `true` the cookie should only be sent using a secure protocol (https). This should only be set when the cookie's originating server used a secure protocol to set the cookie's value.

      Parameters:
        `secure` - The value of the secure attribute
      See Also:
        `Cookie.isSecure()`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.